Skip to content
Proud to collaborate with Microsoft for Startups

docusign.workspace-items.delete-workspace-items ​

This method deletes one or more files or sub-folders from a workspace folder or root. Note: To delete items from a workspace, the status of the workspace must be active.

Deletes files or sub-folders from a workspace.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
folderidstringYes—The ID of the folder.
workspaceidstringYes—The ID of the workspace.
itemslistNo—A list of workspace items.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
folderidstringYes—The ID of the folder.
workspaceidstringYes—The ID of the workspace.
itemslistNo—A list of workspace items.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call DELETE /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform DELETE /v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.workspace-items.delete-workspace-items",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "folderid": "value",
    "workspaceid": "value"
  }
}